org.gradle.plugins.javascript.rhino

## Class RhinoPlugin

- java.lang.Object
- - org.gradle.plugins.javascript.rhino.RhinoPlugin

- All Implemented Interfaces:
    Plugin<Project>

      public class RhinoPlugin
      extends Object
      implements Plugin<Project>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RhinoPlugin()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(Project project)` Apply this plugin to the given target object.
    `void` | `configureDefaultRhinoDependency(Configuration configuration, DependencyHandler dependencyHandler, RhinoExtension extension)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RhinoPlugin

          public RhinoPlugin()

  - ### Method Detail

    - #### apply

          public void apply(Project project)

      Description copied from interface: `Plugin`
      Apply this plugin to the given target object.
      Specified by:
        `apply` in interface `Plugin<Project>`
      Parameters:
        `project` - The target object

    - #### configureDefaultRhinoDependency

          public void configureDefaultRhinoDependency(Configuration configuration,
                                             DependencyHandler dependencyHandler,
                                             RhinoExtension extension)